Package org.wso2.carbon.rest.api

## Class ResourceData

- java.lang.Object
- - org.wso2.carbon.rest.api.ResourceData

-     public class ResourceData
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResourceData()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getContentType()` |
    `String` | `getFaultSequenceKey()` |
    `String` | `getFaultSeqXml()` |
    `String` | `getInSequenceKey()` |
    `String` | `getInSeqXml()` |
    `String[]` | `getMethods()` |
    `String` | `getOutSequenceKey()` |
    `String` | `getOutSeqXml()` |
    `int` | `getProtocol()` |
    `String` | `getUriTemplate()` |
    `String` | `getUrlMapping()` |
    `String` | `getUserAgent()` |
    `void` | `setContentType​(String contentType)` |
    `void` | `setFaultSequenceKey​(String faultSequenceKey)` |
    `void` | `setFaultSeqXml​(String faultSeqXml)` |
    `void` | `setInSequenceKey​(String inSequenceKey)` |
    `void` | `setInSeqXml​(String inSeqXml)` |
    `void` | `setMethods​(String[] methods)` |
    `void` | `setOutSequenceKey​(String outSequenceKey)` |
    `void` | `setOutSeqXml​(String outSeqXml)` |
    `void` | `setProtocol​(int protocol)` |
    `void` | `setUriTemplate​(String uriTemplate)` |
    `void` | `setUrlMapping​(String urlMapping)` |
    `void` | `setUserAgent​(String userAgent)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceData

          public ResourceData()

  - ### Method Detail

    - #### getMethods

          public String[] getMethods()

    - #### setMethods

          public void setMethods​(String[] methods)

    - #### getContentType

          public String getContentType()

    - #### setContentType

          public void setContentType​(String contentType)

    - #### getUserAgent

          public String getUserAgent()

    - #### setUserAgent

          public void setUserAgent​(String userAgent)

    - #### getProtocol

          public int getProtocol()

    - #### setProtocol

          public void setProtocol​(int protocol)

    - #### getInSequenceKey

          public String getInSequenceKey()

    - #### setInSequenceKey

          public void setInSequenceKey​(String inSequenceKey)

    - #### getOutSequenceKey

          public String getOutSequenceKey()

    - #### setOutSequenceKey

          public void setOutSequenceKey​(String outSequenceKey)

    - #### getFaultSequenceKey

          public String getFaultSequenceKey()

    - #### setFaultSequenceKey

          public void setFaultSequenceKey​(String faultSequenceKey)

    - #### getUriTemplate

          public String getUriTemplate()

    - #### setUriTemplate

          public void setUriTemplate​(String uriTemplate)

    - #### getUrlMapping

          public String getUrlMapping()

    - #### setUrlMapping

          public void setUrlMapping​(String urlMapping)

    - #### getInSeqXml

          public String getInSeqXml()

    - #### setInSeqXml

          public void setInSeqXml​(String inSeqXml)

    - #### getOutSeqXml

          public String getOutSeqXml()

    - #### setOutSeqXml

          public void setOutSeqXml​(String outSeqXml)

    - #### getFaultSeqXml

          public String getFaultSeqXml()

    - #### setFaultSeqXml

          public void setFaultSeqXml​(String faultSeqXml)